<template>
    <div class="email">
        <van-contact-card 
            type="edit"
            :name="name"
            :tel="phoneNumber"
            @click="callNumber"
        />
    </div>
</template>
<script>
export default {
    name: 'aboutEmail',
    data () {
        return {
            name: '锦洽客服01',
            phoneNumber: '0591 8791 7737',
            phoneWithCode: '+8659187917737'
        }
    },
    methods: {
        callNumber() {
            let number = this.phoneWithCode;
            window.location.href = 'tel:'+number
        }
    },
    beforeRouteEnter(to, from, next) {
        next((vm) => {
            vm.from = from;
        });
    }
}
</script>